## python-pyclustering 0.10.1.2

=== ccore/CMakeLists.txt ===
#
# @authors Andrei Novikov (pyclustering@yandex.ru)
# @date 2014-2020
# @copyright BSD-3-Clause
#


cmake_minimum_required(VERSION 3.10)


project(pyclustering VERSION 0.10.1.2 LANGUAGES CXX)


file(MAKE_DIRECTORY build)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/build)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/build)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/build)

add_subdirectory(bvt)
add_subdirectory(external)
add_subdirectory(src)
add_subdirectory(tst)

=== ccore/bvt/CMakeLists.txt ===
#
# @authors Andrei Novikov (pyclustering@yandex.ru)
# @date 2014-2020
# @copyright BSD-3-Clause
#


cmake_minimum_required(VERSION 3.10)

# C++ standard
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED True)

# Headers
include_directories(${PROJECT_SOURCE_DIR}/include)

# Build target - build verify test for static library
add_executable(bvt-static static-test.cpp)
add_dependencies(bvt-static pyclustering-static)
target_link_libraries(bvt-static PUBLIC pyclustering-static)

# Build target - build verify test for shared library
add_executable(bvt-shared shared-test.cpp)
add_dependencies(bvt-shared pyclustering-shared)

if(CMAKE_DL_LIBS)
    target_link_libraries(bvt-shared ${CMAKE_DL_LIBS})
endif()

=== ccore/external/CMakeLists.txt ===
#
# @authors Andrei Novikov (pyclustering@yandex.ru)
# @date 2014-2020
# @copyright BSD-3-Clause
#


cmake_minimum_required(VERSION 3.10)

# C++ standard
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED True)

# Source for google test framework
file(GLOB_RECURSE GTEST_SOURCES src/gtest "*.cpp")

# Headers
include_directories(include)

# Build targets
add_library(gtest STATIC ${GTEST_SOURCES})

=== ccore/src/CMakeLists.txt ===
#
# @authors Andrei Novikov (pyclustering@yandex.ru)
# @date 2014-2020
# @copyright BSD-3-Clause
#


cmake_minimum_required(VERSION 3.10)


# C++ standard
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED True)

# Required packages
find_package(Threads REQUIRED)

# Sources
file(GLOB_RECURSE PYCLUSTERING_SOURCES "*.cpp")


# Headers
include_directories(${PROJECT_SOURCE_DIR}/include)


# Build targets
add_library(pyclustering-static STATIC ${PYCLUSTERING_SOURCES})
target_link_libraries(pyclustering-static Threads::Threads)

add_library(pyclustering-shared SHARED ${PYCLUSTERING_SOURCES})
target_compile_definitions(pyclustering-shared PUBLIC EXPORT_PYCLUSTERING_INTERFACE)
target_link_libraries(pyclustering-shared Threads::Threads)
set_target_properties(pyclustering-shared PROPERTIES OUTPUT_NAME "pyclustering")

add_library(pyclustering SHARED ${PYCLUSTERING_SOURCES})
target_compile_definitions(pyclustering PUBLIC EXPORT_PYCLUSTERING_INTERFACE)
target_link_libraries(pyclustering Threads::Threads)

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(PYCLUSTERING_BINARY_DIR "pyclustering/core/64-bit")
elseif(CMAKE_SIZEOF_VOID_P EQUAL 4)
    set(PYCLUSTERING_BINARY_DIR "pyclustering/core/32-bit")
endif()

if (UNIX)
    string(CONCAT PYCLUSTERING_BINARY_DIR ${PYCLUSTERING_BINARY_DIR} "/linux")
elseif (WIN32)
    string(CONCAT PYCLUSTERING_BINARY_DIR ${PYCLUSTERING_BINARY_DIR} "/win")
elseif (APPLE)
    string(CONCAT PYCLUSTERING_BINARY_DIR ${PYCLUSTERING_BINARY_DIR} "/macos")
endif()

string(CONCAT PYCLUSTERING_BINARY_DIR "${PROJECT_SOURCE_DIR}/../" ${PYCLUSTERING_BINARY_DIR})

add_custom_command(TARGET pyclustering-shared POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:pyclustering-shared> ${PYCLUSTERING_BINARY_DIR}
    COMMENT "Copying pyclustering binary to the package '${PYCLUSTERING_BINARY_DIR}'."
)

=== ccore/tst/CMakeLists.txt ===
#
# @authors Andrei Novikov (pyclustering@yandex.ru)
# @date 2014-2020
# @copyright BSD-3-Clause
#


cmake_minimum_required(VERSION 3.10)


# C++ standard
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED True)


# Sources
file(GLOB_RECURSE UT_SOURCES "*.cpp")


# Header folders
include_directories(${PROJECT_SOURCE_DIR}/include)
include_directories(${PROJECT_SOURCE_DIR}/external/include)


# Library folders
link_directories(${PROJECT_SOURCE_DIR}/build)


# Build targets
add_executable(utcore ${UT_SOURCES})

# Dependecies
add_dependencies(utcore pyclustering-static)
add_dependencies(utcore gtest)
target_link_libraries(utcore PUBLIC pyclustering-static)
target_link_libraries(utcore PUBLIC gtest)

## python-pyclustering 0.10.0.1

=== debian/changelog ===
python-pyclustering (0.10.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop now-useless patch for Python 3.8 warnings.
  * Refresh the other patches.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Aug 2020 09:54:21 +0200

python-pyclustering (0.9.3.1-2) unstable; urgency=medium

  * Better d/copyright.
  * Declare d/rules doesn't require root.
  * Bump dh compat to level 13.
  * Update team mailing list address.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Aug 2020 08:57:08 +0200

python-pyclustering (0.9.3.1-1) unstable; urgency=medium

  * Initial packaging (Closes: #962837).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 15 Jun 2020 10:47:55 +0200

=== debian/control ===
Source: python-pyclustering
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.0
Homepage: https://github.com/annoviko/pyclustering
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-matplotlib,
               python3-numpy,
               python3-pillow,
               python3-scipy,
               python3-setuptools
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyclustering.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyclustering

Package: python3-pyclustering
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Data mining algorithms (Python 3)
 This library provides tools for clustering algorithms, oscillatory
 networks and neural networks.
 .
 This package installs the library for Python 3.

## python-pyclustering 0.10.1.2

=== debian/changelog ===
python-pyclustering (0.10.1.2-2) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Aug 2021 12:55:25 +0200

python-pyclustering (0.10.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 27 Nov 2020 07:31:46 +0100

python-pyclustering (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 23 Nov 2020 07:30:50 +0100

python-pyclustering (0.10.0.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * Better document patches so lintian doesn't complain.
  * Add lintian overrides for uninformative warnings.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Oct 2020 20:37:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/annoviko/pyclustering
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -14,8 +14,8 @@
                python3-scipy,
                python3-setuptools
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyclustering.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyclustering
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyclustering.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyclustering
 
 Package: python3-pyclustering
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=pyclustering

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	@true

override_dh_install:
	dh_install
	rm -fr debian/python3-$(PYBUILD_NAME)/usr/lib/**/dist-packages/pyclustering/samples/graphs
	rm -fr debian/python3-$(PYBUILD_NAME)/usr/lib/**/dist-packages/pyclustering/samples/images
	rm -fr debian/python3-$(PYBUILD_NAME)/usr/lib/**/dist-packages/pyclustering/samples/samples
	chmod a-x `find debian/python3-$(PYBUILD_NAME)/usr/share/pyclustering -type f`

=== debian/watch ===
version=4
https://github.com/annoviko/pyclustering/tags .*/(\d\S*)\.tar\.gz
